Bug 1675749 - python-kitchen: FTBFS in Fedora rawhide/f30
Summary: python-kitchen: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-kitchen
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS PYTHON38
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:35 UTC by Fedora Release Engineering
Modified: 2019-05-14 21:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 20:20:13 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:35 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:35 UTC, Fedora Release Engineering
no flags Details
state.log (649 bytes, text/plain)
2019-02-11 21:35 UTC, Fedora Release Engineering
no flags Details
Full log from Copr with Python 3.8 (179.46 KB, text/plain)
2019-04-05 09:40 UTC, Miro Hrončok
no flags Details

Description Fedora Release Engineering 2019-02-11 21:35:41 UTC
python-kitchen failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32456968


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix python-kitchen at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-kitchen will be orphaned. Before branching of Fedora 31,
python-kitchen will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:35:43 UTC
Created attachment 1532259 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:35:44 UTC
Created attachment 1532260 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:35:46 UTC
Created attachment 1532261 [details]
state.log

Comment 4 Miro Hrončok 2019-04-05 09:40:43 UTC
Created attachment 1552342 [details]
Full log from Copr with Python 3.8

Comment 5 Miro Hrončok 2019-04-05 09:42:13 UTC
Python 2.7: FAILED (SKIP=17, failures=41)
Python 3.7: FAILED (SKIP=3, failures=37)
Python 3.8: FAILED (SKIP=3, failures=37)

This once again blocks updating Python to a newer version.

It appears that kitchen is ultimately broken. Can we get it fixed please?
Or should we juts skip the tests forever?

Comment 6 Kevin Fenzi 2019-04-07 18:26:39 UTC
So, I did some work on this a while back, but I never quite got it building. ;( 

Here's my latest scratch build: 

https://koji.fedoraproject.org/koji/taskinfo?taskID=34035684

Possibly related to the C locale in mock builds?

Comment 7 Miro Hrončok 2019-04-07 18:32:05 UTC
> Possibly related to the C locale in mock builds?

Python 3.6+ (in Fedora) or 3.7+ (upstream) would switch the C locale to C.utf-8.

See also "python-kitchen FTBFS on Python 3.7":

https://bugzilla.redhat.com/show_bug.cgi?id=1583600

Comment 8 Fedora Release Engineering 2019-04-26 23:31:35 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 10 Miro Hrončok 2019-05-14 21:10:24 UTC
Thank you!


Note You need to log in before you can comment on or make changes to this bug.